core.hpp File Reference
`#include <iostream>`
`#include <gecode/kernel/var-type.hpp>`

Go to the source code of this file.

## Classes

class | Gecode::NoIdxVarImpConf
| Configuration class for variable implementations without index structure. More...
class | Gecode::VarImpBase
| Base-class for variable implementations. More...
class | Gecode::VarImpDisposerBase
| Base class for Variable type disposer. More...
class | Gecode::VarImpDisposer< VarImp >
| Variable implementation disposer More...
class | Gecode::Delta
| Generic domain change information to be supplied to advisors. More...
class | Gecode::VarImp< VIC >
| Base-class for variable implementations. More...
class | Gecode::PropCost
| Propagation cost. More...
class | Gecode::ActorLink
| Double-linked list for actors. More...
class | Gecode::Actor
| Base-class for both propagators and branchers. More...
class | Gecode::Group
| Group baseclass for controlling actors. More...
class | Gecode::PropagatorGroup
| Group of propagators. More...
class | Gecode::BrancherGroup
| Group of branchers. More...
class | Gecode::Home
| Home class for posting propagators More...
class | Gecode::ViewTraceInfo
| View trace information. More...
class | Gecode::PostInfo
| Class to set group information when a post function is executed. More...
class | Gecode::PropagateTraceInfo
| Propagate trace information. More...
class | Gecode::CommitTraceInfo
| Commit trace information. More...
class | Gecode::PostTraceInfo
| Post trace information. More...
class | Gecode::Propagator
| Base-class for propagators. More...
class | Gecode::Council< A >
| Council of advisors More...
class | Gecode::Advisors< A >
| Class to iterate over advisors of a council. More...
class | Gecode::Advisor
| Base-class for advisors. More...
class | Gecode::NGL
| No-good literal recorded during search. More...
class | Gecode::Choice
| Choice for performing commit More...
class | Gecode::Brancher
| Base-class for branchers. More...
class | Gecode::LocalObject
| Local (space-shared) object. More...
class | Gecode::LocalHandle
| Handles for local (space-shared) objects. More...
class | Gecode::NoGoods
| No-goods recorded from restarts. More...
class | Gecode::MetaInfo
| Information passed by meta search engines. More...
class | Gecode::StatusStatistics
| Statistics for execution of status More...
class | Gecode::CloneStatistics
| Statistics for execution of clone More...
class | Gecode::CommitStatistics
| Statistics for execution of commit More...
class | Gecode::Space
| Computation spaces. More...
class | Gecode::Space::Propagators
| Class to iterate over propagators of a space. More...
class | Gecode::Space::ScheduledPropagators
| Class to iterate over scheduled propagators of a space. More...
class | Gecode::Space::IdlePropagators
| Class to iterate over idle propagators of a space. More...
class | Gecode::Space::Branchers
| Class to iterate over branchers of a space. More...
class | Gecode::Propagators
| Class to iterate over propagators in a group. More...
class | Gecode::Branchers
| Class to iterate over branchers in a group. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace

## Macros

#define | GECODE_KERNEL_REALLOC(T)

## Typedefs

typedef int | Gecode::ModEvent
| Type for modification events.
typedef int | Gecode::PropCond
| Type for propagation conditions.
typedef int | Gecode::ModEventDelta
| Modification event deltas.

## Enumerations

enum | Gecode::ExecStatus { Gecode::__ES_SUBSUMED = -2 , Gecode::ES_FAILED = -1 , Gecode::ES_NOFIX = 0 , Gecode::ES_OK = 0 , Gecode::ES_FIX = 1 , Gecode::ES_NOFIX_FORCE = 2 , Gecode::__ES_PARTIAL = 2 }
enum | Gecode::ActorProperty { Gecode::AP_DISPOSE = (1 << 0) , Gecode::AP_WEAKLY = (1 << 1) , Gecode::AP_VIEW_TRACE = (1 << 2) , Gecode::AP_TRACE = (1 << 3) }
| Actor properties. More...
enum | Gecode::SpaceStatus { Gecode::SS_FAILED , Gecode::SS_SOLVED , Gecode::SS_BRANCH }
| Space status More...

## Variables

const ModEvent | Gecode::ME_GEN_FAILED = -1
| Generic modification event: failed variable.
const ModEvent | Gecode::ME_GEN_NONE = 0
| Generic modification event: no modification.
const ModEvent | Gecode::ME_GEN_ASSIGNED = 1
| Generic modification event: variable is assigned a value.
const PropCond | Gecode::PC_GEN_NONE = -1
| Propagation condition to be ignored (convenience).
const PropCond | Gecode::PC_GEN_ASSIGNED = 0
| Propagation condition for an assigned variable.

## Macro Definition Documentation

## GECODE_KERNEL_REALLOC

#define GECODE_KERNEL_REALLOC | ( |  | T | ) |

Value:
template<> \
forceinline T* \
Space::realloc<T>(T* b, long unsigned int n, long unsigned int m) { \
return static_cast<T*>(rrealloc(b,n*sizeof(T),m*sizeof(T))); \
} \
template<> \
forceinline T* \
Space::realloc<T>(T* b, long int n, long int m) { \
assert((n >= 0) && (m >= 0)); \
return realloc<T>(b,static_cast<long unsigned int>(n), \
static_cast<long unsigned int>(m)); \
} \
template<> \
forceinline T* \
Space::realloc<T>(T* b, unsigned int n, unsigned int m) { \
return realloc<T>(b,static_cast<long unsigned int>(n), \
static_cast<long unsigned int>(m)); \
} \
template<> \
forceinline T* \
Space::realloc<T>(T* b, int n, int m) { \
assert((n >= 0) && (m >= 0)); \
return realloc<T>(b,static_cast<long unsigned int>(n), \
static_cast<long unsigned int>(m)); \
}
forceinline
#define forceinline
Definition config.hpp:187

Definition at line 2923 of file core.hpp.